#include "CGUInit.h"
#include "DMCInit.h"
#include "EMDMA.h"

#define SOURCE_MSIZE 32
#define DEST_MSIZE   32
#define SOURCE_DMA_CFG	ENUM_DMA_CFG_MSIZE32|ENUM_DMA_CFG_PSIZE08
#define DEST_DMA_CFG 	BITM_DMA_CFG_WNR|ENUM_DMA_CFG_PSIZE08|ENUM_DMA_CFG_MSIZE32|ENUM_DMA_CFG_XCNT_INT

#define DMC_CTL_VALUE 		0x00000405
#define DMC_CFG_VALUE 		0x00000522
#define DMC_TR0_VALUE 		0x41711646
#define DMC_TR1_VALUE 		0x40480DB6
#define DMC_TR2_VALUE 		0x00347417
#define DMC_MR0_VALUE		0x00000730
#define DMC_MR1_VALUE 		0x00000006
#define DMC_MR2_VALUE 		0x00000008
#define DMC_PADCTL2_VALUE 	0x0078283C
#define DMC_CPHYCTL_VALUE   0x0000001A
#define DMC0_DATA_CALIB_ADD 0x80000000
#define DMC1_DATA_CALIB_ADD 0xC0000000

void CGUInit(void);
